Segfault in Ubuntu 11.10 Oneiric Ocelot

2011-10-28 06:11 AM - Matteo Fortini

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 14386

Description

QGis randomly segfaults, for example while switching back to "old symbols" for a layer, or reopening a project.

While running, every mouse movement spits out this warning:

Warning: Creating accessible with different object than the original interface!

I tried running it on Debian Sarge and all goes well.

I tried both the UbuntuGIS and the nightly build versions.

On startup this is the output:

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_it_IT]

Debug: Connected to accessibility bus at:  "unix:abstract=/tmp/dbus-lz4xvjJTDG,guid=63acd74073c0afb1bd0f9f1c00000053" 

Debug: Registered DEC:  true 

Python support ENABLED :-) 

Loaded : Value Tool (package: valuetool)

Loaded : Rasterlang (package: rasterlang)

Loaded : PostGIS manager (package: postgis_manager)

Loaded : PgQuery for QGIS (package: pgquery_plugin)

Loaded : DEM relief shader (package: shadedrelief)

Loaded : fTools (package: fTools)

Loaded : Google Layers (package: GoogleLayers)

Loaded : TopoColour (package: topocolour)

Loaded : QSpatiaLite (package: QspatiaLite)

Loaded : OpenLayers Plugin (package: openlayers)

Loaded : MapServer Export (package: mapserver_export)

Loaded : Plugin Installer (package: plugin_installer)

Loaded : GdalTools (package: GdalTools)

Warning: Invalid parent:  0x35b3f60 QgsApplication(0x7fff37fa3fe0, name = "qgis.bin") 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 1 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 2 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself. 

Warning: QAccessibleWidget::rect: This implementation does not support subelements! (ID 3 unknown for QTextEdit)

Warning: Requesting child objects for an interface that is a virtual child itself.

I also tried running without plugins, but no luck.

History
#1 - 2011-10-28 06:13 AM - Giovanni Manghi

I am running QGIS-master on Ubuntu 11.10 (on different machines) and I don't see this problem. Clean install? from the nightly build repo? self compiled?

it happens with any kind of datasets?

#2 - 2011-10-28 06:35 AM - Matteo Fortini

It started today, and it doesn't go away. My ubuntu is 11.10 amd64 and I installed qgis both from the ubuntugis ppa (1.7.1) and the qgis nightly build repo

(1.8 trunk).

The dataset is on a postgis db (8.4), but I can make it crash also loading geotiffs.

I'm on the point of reinstalling everything from scratch, even if it would be a looong day.

#3 - 2011-10-28 07:53 AM - Giovanni Manghi

you may want to try a Virtual Machine first ;) there are plenty already available made with different Linux distributions...

Matteo Fortini wrote:

It started today, and it doesn't go away. My ubuntu is 11.10 amd64 and I installed qgis both from the ubuntugis ppa (1.7.1) and the qgis nightly build

repo (1.8 trunk).

The dataset is on a postgis db (8.4), but I can make it crash also loading geotiffs.

I'm on the point of reinstalling everything from scratch, even if it would be a looong day.

#4 - 2011-10-29 02:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2011-12-09 08:41 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

Not confirmed here. Seems a local problem. Please reopen if appropriate.
